Skip to navigation

Create Order Optional Merchant Id

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

access_tokenstringOptional

Access Token (Required)

tracking_nostringOptional

Tracking no (Optional)

reference_idstringOptional

Reference id (Optional)

agentstringOptional

Agent Name (Optional)

merchant_namestringOptional

Merchant Id/Name (Optional)

merchant_location_idintegerOptional

Branch/Merchant Location Id (Optional)

customerstringOptional

Customer Name (Required)

contact_personstringOptional

Contact Person Name (Optional)

phonestringOptional

Customer phone (Required)

citystringOptional

City (Required)

customer_addressstringOptional

Customer Address (Required if lat, long not provided)

customer_address_latdoubleOptional

Customer Latitude (Optional)

customer_address_londoubleOptional

Customer Longitude (Optional)

is_pickupintegerOptional

is Pickup possible values are 1,0 (Required)

pickup_addressstringOptional

Pickup Address (Required if is_pickup=1)

pickup_address_latdoubleOptional

Pickup Latitude (Optional)

pickup_address_londoubleOptional

Pickup Longitude (Optional)

receiver_addressstringOptional

Receiver Address (Required if is_pickup=1)

receiver_address_latdoubleOptional

Receiver Latitude (Optional)

receiver_address_londoubleOptional

Receiver Longitude (Optional)

receiver_namestringOptional

Receiver Name (Required if is_pickup=1)

external_customer_codestringOptional
Add Customer code if you make new customer or you enter the route id.
areastringOptional
Add area
blockstringOptional
Add block
address_idstringOptional
Add address Id if you make new customer
receiver_phonestringOptional

Receiver Phone (Required if is_pickup=1)

receiver_postcodestringOptional

Receiver Postcode (Optional)

receiver_citystringOptional

Receiver city (Optional)

coddoubleOptional

Cash on Delivery Amount (Optional)

total_amountdoubleOptional

Total Amount (Optional)

descriptionstringOptional

Order Description/Notes for Driver (Optional)

payeeenumOptional

Payee possible values are S,R (Required) S means sender will pay and R means Receiver will pay

Allowed values:
is_same_day_deliveryenumOptional

is same day delivery possible values are 1,0 (Required)

Allowed values:
is_focenumOptional

is free of charge possible values are 1,0 (Required)

Allowed values:
deliver_ondateOptional

Order Deliver DateTime Format will be 2020-06-24 (Required)

deliver_on_time_fromstringOptional

Order Deliver Time From Format will be hh:mm (24 hours)

deliver_on_time_tostringOptional

Order Deliver Time To Format will be hh:mm (24 hours)

deliver_on_time_from_utcstringOptional
Order Deliver Time From Format will be UTC
deliver_on_time_to_utcstringOptional
Order Deliver Time To Format will be UTC
pickup_datetime_fromstringOptional

Order Pickup Date Time From Format will be 2021-12-25 hh:mm (24 hours)

pickup_datetime_tostringOptional

Order Pickup Date Time To Format will be 2021-12-25 hh:mm (24 hours)

payment_term_idintegerOptional
Use Payment term api to get payment term id.
route_idintegerOptional
Use routes api to get route id.
order_idintegerOptional

Order ID. Used only when is_update=1 to locate the order to update

is_updateenumOptional

is Update possible values are 1,0. If value is 1 the order is located by order_id, else tracking_no, else reference_id and must belong to the same company. Only deliver_on, deliver_on_time_from/to, pickup_datetime_from/to and description are updated. Order items, status, driver assignment and customer are left untouched

Allowed values:
product_itemsstringOptional

Product Items in JSON format. Required format: [{“externalProductCode”:“xxx”,“qty”:2,“unitPrice”:10}] or [{“product_name”:“xxx”,“qty”:2,“product_base_price”:10,“product_tax”:5}]

address_idstringOptional
customer address ID
customer_group_idintegerOptional

Customer Group ID (Optional) 1:Direct, 2:Indirect

is_prepaidintegerOptional
is Prepaid possible values are 1,0
customer_type_idintegerOptional

Customer Type: 1 = Individual Customer, 2 = Corporate Customer, 3 = Watchman, 4 = Supermarket, 5 = Abraaj FOC, 6 = Co-Packing, 7 = Co-operatives, 9 = E-commerce, 10 = Horeca, 12 = Mabara, 13 = Modern Trade, 14 = Mosques, 15 = Staff account

Response

Returns order object with id, trackingNo, referenceId, createdBy, locality, customer, pickupAddress, receiverAddress, items